#include <stdio.h>
#include <math.h>
int main()
{
	int t, res = 0;
	scanf("%d", &t);
	while(t--)
	{
		int n, poz1, poz2;
		scanf("%d", &n);
		int a[n], b[n];
		for (int i = 0; i < n; i++)
		{
			scanf("%d", &a[i]);
			if (a[i] != 0) poz1 = i; 
		}
		for (int i = 0; i < n; i++)
		{
			scanf("%d", &b[i]);
			if (b[i] != 0) poz2 = i;	
		} 
		if ((a[poz1] > 0 && b[poz2] > 0) || (a[poz1] < 0 && b[poz2] < 0))
		{
			if (abs(poz1-poz2) % 2 != 0)
			{
				printf("NE\n");
				continue;
			}
		} else
		{
			if (abs(poz1-poz2) % 2 != 1)
			{
				printf("NE\n");
				continue;
			}
		}
		printf("DA\n");
	}
}